Summary:	LIVE555 Streaming Media Library
Name:		live
Version:	2012.08.20
Release:	1
Source0:	http://live555.com/liveMedia/public/%{name}.%{version}.tar.gz
Patch0:		live-2012.04.21-optflags.patch
Patch1:		live-pic.patch
Patch2:		live-format-strings.patch
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.live555.com/liveMedia/

%description
This code forms a set of C++ libraries for multimedia streaming, using
open standard protocols (RTP/RTCP, RTSP, SIP). These libraries - which
can be compiled for Unix (including Linux and Mac OS X), Windows, and
QNX (and other POSIX-compliant systems) - can be used to build
streaming applications.

This package contains the example apps of LIVE555.

%package	devel
Summary:	Development files of the LIVE555 Streaming Media Library
Group:		Development/C++

%description	devel
This code forms a set of C++ libraries for multimedia streaming, using
open standard protocols (RTP/RTCP, RTSP, SIP). These libraries - which
can be compiled for Unix (including Linux and Mac OS X), Windows, and
QNX (and other POSIX-compliant systems) - can be used to build
streaming applications.

This package contains all needed files to build programs based on LIVE555.

%prep
%setup -q -n %{name}
%patch0 -p1 -b .optflags~
%patch1 -p1 -b .pic~
%patch2 -p1
rm -f testProgs/qtParse

%build
%setup_compile_flags
./genMakefiles linux
make clean
make CFLAGS="%{optflags} -DRTSPCLIENT_SYNCHRONOUS_INTERFACE=1"

%install
for dir in BasicUsageEnvironment groupsock liveMedia UsageEnvironment; do
  mkdir -p %{buildroot}%{_libdir}/%{name}/$dir
  cp -r $dir/*.a $dir/include %{buildroot}%{_libdir}/%{name}/$dir
done
mkdir -p %{buildroot}%{_bindir}
for testprog in `find testProgs mediaServer -type f -perm 755`; do
  install $testprog %{buildroot}%{_bindir}
done

%files
%doc COPYING README
%{_bindir}/MPEG2TransportStreamIndexer
%{_bindir}/live555MediaServer
%{_bindir}/openRTSP
%{_bindir}/playSIP
%{_bindir}/sapWatch
%{_bindir}/test*
%{_bindir}/vobStreamer

%files devel
%{_libdir}/%{name}


%changelog
* Fri Aug 24 2012 Alexander Khrukin <akhrukin@mandriva.org> 2012.08.20-1
+ Revision: 815667
- version update 2012.08.20

* Sun Jul 01 2012 Alexander Khrukin <akhrukin@mandriva.org> 2012.06.26-1
+ Revision: 807713
- version update 2012.06.26

* Thu May 17 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 2012.04.21-2
+ Revision: 799326
- compile with '-DRTSPCLIENT_SYNCHRONOUS_INTERFACE=1' (needed by mplayer)
- pass compiler flags in a more standard fashion, also making sure of ldflags

* Wed Apr 25 2012 Götz Waschk <waschk@mandriva.org> 2012.04.21-1
+ Revision: 793355
- update pic patch
- update to new version 2012.04.21

* Fri Apr 06 2012 Alexander Khrukin <akhrukin@mandriva.org> 2012.04.04-1
+ Revision: 789534
- version update 2012.04.04

* Tue Jan 10 2012 Götz Waschk <waschk@mandriva.org> 2012.01.07-1
+ Revision: 759323
- update to new version 2012.01.07

* Fri Dec 30 2011 Götz Waschk <waschk@mandriva.org> 2011.12.23-1
+ Revision: 748226
- update to new version 2011.12.23

* Mon Dec 05 2011 Götz Waschk <waschk@mandriva.org> 2011.12.02-1
+ Revision: 737731
- update to new version 2011.12.02

* Thu Nov 03 2011 Götz Waschk <waschk@mandriva.org> 2011.11.02-1
+ Revision: 715288
- update to new version 2011.11.02

* Thu Jun 23 2011 Götz Waschk <waschk@mandriva.org> 2011.06.16-1
+ Revision: 686801
- update to new version 2011.06.16

* Fri Jun 03 2011 Götz Waschk <waschk@mandriva.org> 2011.05.25-1
+ Revision: 682616
- update to new version 2011.05.25

* Wed Apr 20 2011 Götz Waschk <waschk@mandriva.org> 2011.03.14-1
+ Revision: 656112
- update to new version 2011.03.14

* Sat Feb 05 2011 Götz Waschk <waschk@mandriva.org> 2011.01.24-1
+ Revision: 636219
- new version
- rediff patch 1

* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 2010.04.09-2mdv2011.0
+ Revision: 606413
- rebuild

* Mon Apr 26 2010 Götz Waschk <waschk@mandriva.org> 2010.04.09-1mdv2010.1
+ Revision: 538951
- update to new version 2010.04.09

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 2009.07.28-3mdv2010.1
+ Revision: 523189
- rebuilt for 2010.1

* Tue Sep 01 2009 Christophe Fergeau <cfergeau@mandriva.com> 2009.07.28-2mdv2010.0
+ Revision: 423703
- rebuild

* Thu Aug 27 2009 Götz Waschk <waschk@mandriva.org> 2009.07.28-1mdv2010.0
+ Revision: 421676
- update to new version 2009.07.28

* Sun Jun 07 2009 Götz Waschk <waschk@mandriva.org> 2009.06.02-1mdv2010.0
+ Revision: 383442
- update to new version 2009.06.02

* Fri Feb 27 2009 Götz Waschk <waschk@mandriva.org> 2009.02.23-1mdv2009.1
+ Revision: 345392
- update to new version 2009.02.23

* Mon Feb 09 2009 Götz Waschk <waschk@mandriva.org> 2009.01.26-1mdv2009.1
+ Revision: 338710
- new version
- rediff patch 1
- fix format string
- update file list

* Fri Nov 21 2008 Götz Waschk <waschk@mandriva.org> 2008.11.13-1mdv2009.1
+ Revision: 305474
- update to new version 2008.11.13
- add live555MediaServer

* Mon Oct 20 2008 Götz Waschk <waschk@mandriva.org> 2008.10.07-1mdv2009.1
+ Revision: 295576
- update to new version 2008.10.07

* Wed Aug 20 2008 Götz Waschk <waschk@mandriva.org> 2008.07.25-1mdv2009.0
+ Revision: 274140
- new version

* Fri Jul 04 2008 Götz Waschk <waschk@mandriva.org> 2008.06.26-1mdv2009.0
+ Revision: 231567
- new version
- update license

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 2008.05.12-2mdv2009.0
+ Revision: 219561
- rebuild

* Fri May 23 2008 Götz Waschk <waschk@mandriva.org> 2008.05.12-1mdv2009.0
+ Revision: 210264
- new version
- new version

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Wed Jan 02 2008 Götz Waschk <waschk@mandriva.org> 2007.12.27-1mdv2008.1
+ Revision: 140372
- new version

* Wed Dec 19 2007 Thierry Vignaud <tv@mandriva.org> 2007.08.03a-2mdv2008.1
+ Revision: 133926
- kill re-definition of %%buildroot on Pixel's request

* Mon Oct 15 2007 Götz Waschk <waschk@mandriva.org> 2007.08.03a-1mdv2008.1
+ Revision: 98384
- new version

* Fri May 04 2007 Götz Waschk <waschk@mandriva.org> 2007.04.24a-1mdv2008.0
+ Revision: 22377
- new version

